Subject: [PATCH 0/6] cpufreq: use generic cpufreq drivers forExynos4210platform

From: [email-masked] (Bartlomiej Zolnierkiewicz)
Date: Thu, 18 Jun 2015 19:55:07 +0200

On Thursday, June 18, 2015 07:53:14 PM Bartlomiej Zolnierkiewicz wrote:
> 
> Hi,
> 
> Mike, could you please take a look at patches #1 and #2 (#1 is a 4 line
> change to a Common Clock Framework and #2 is ARM Exynos specific)?

Oh, and patch #3 (which is also ARM Exynos specific).

Best regards,
--
Bartlomiej Zolnierkiewicz
Samsung R&D Institute Poland
Samsung Electronics

> This series has been waiting on your feedback since 3rd of April. :(
> 
> Best regards,
> --
> Bartlomiej Zolnierkiewicz
> Samsung R&D Institute Poland
> Samsung Electronics
> 
> On Thursday, June 04, 2015 08:22:05 AM Kukjin Kim wrote:
> > On 05/14/15 22:07, Kukjin Kim wrote:
> > > On 05/14/15 14:10, Viresh Kumar wrote:
> > >> On 14-05-15, 13:07, Kukjin Kim wrote:
> > >>> On 05/13/15 23:08, Bartlomiej Zolnierkiewicz wrote:
> > >>>>
> > >>>> Hi,
> > >>>>
> > >>> Hi Bart,
> > >>>
> > >>>> On Friday, April 03, 2015 06:43:43 PM Bartlomiej Zolnierkiewicz wrote:
> > >>>>> Hi,
> > >>>>>
> > >>>>> This patch series removes the use of Exynos4210 specific support
> > >>>>> from cpufreq-exynos driver and enables the use of cpufreq-dt driver
> > >>>>> for this platform.
> > >>>>
> > >>>> Gentle Ping.  Mike/Kukjin/Viresh could you please review/ack relevant
> > >>>> patches (patches #1-3 are for clock subsystem, patches #4-5 for Exynos
> > >>>> mach/dts and patch #6 is for cpufreq subsystem)?
> > >>
> > >> Sorry I thought I already Acked an older version of this set and so
> > >> didn't went for it again. Done now.
> > >>
> > >>> Yes, I totally agreed with this patches for arch side changes and this
> > >>> approach when Thomas posted.
> > >>>
> > >>>> Also what is your
> > >>>> preferred way to upstream them (patches are not independent so it would
> > >>>> be best to merge them through one tree, otherwise synchronization of
> > >>>> git pulls between different subsystem trees will be needed)?
> > >>>>
> > >>> I can provide topic branch for arch side changes even it is small. I
> > >>> think once Viresh and Mike make each topic branch based on -rc or the
> > >>> smallest changes from each subsystem then I could handle this series or
> > >>> Viresh or Mike need to handle this series with merging each topic
> > >>> branches in subsystem. I'm fine either way.
> > >>>
> > >>> Viresh and Mike, how do you think about that?
> > >>
> > >> For cpufreq subsystem changes, you can take them in your tree.
> > >>
> > > Hi Viresh, OK, I will take the cpufreq changes with your ack. Thanks for
> > > your confirmation.
> > > 
> > > Hi Mike and Sylwester,
> > > How can we handle this series well without any problems? hmm...
> > > 
> > Still I need to get clock guys' ack or any comments on this series...
> > 
> > - Kukjin
> > 
> > >>>> I'm still hoping that this patchset will make it into v4.2 as there are
> > >>>> no known issues with it (except minor coding nit for patch #5)...
> > >>>>
> > >>> Sure, why not :-)